# Change Log

All notable changes to this project will be documented in this file. If there is a `Changed` section please read carefully, as this often means that you will need to adapt your `config.yml`, otherwise the bot might fail to start.

## [1.2.1] - unreleased

### Changed

  * Reworked internal code structure

### Fixed

  * Publish vote info in chat when reloading config was not working when TTS was disabled
  * Casting votes was allowed for broadcaster and mods only

## [1.2.0] - 2022-08-13

### Added

  * `!random` feature (see README.md for details)

### Changed

  * The vote result will be read out

### Fixed

  * Improved handling of missing config values.

## [1.1.0] - 2022-08-12

### Added

  * `!quickvote` feature (see README.md for details)
  * `!ping` command added
  * Configoption to start TTS in disabled mode
  * OAuth-Token generator
  * Webbrowser autostart

### Changed

  * You need to review your `config.yml` as there a new config values added.
  * The bot replies with a chat message when `!ton` or `!toff` is used

### Fixed

  * Improved error handling

## [1.0.0] - 2022-08-11

Initial Release
